## hugin 2013.0.0~beta1+dfsg

=== CMakeLists.txt ===

# require at least cmake 2.8
cmake_minimum_required(VERSION 2.8 FATAL_ERROR )

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMakeModules )

##
## Cleaner Debian Packaging (disable by -DDISABLE_DPKG=ON)
##
OPTION (DISABLE_DPKG "Do not use debian scripts to get package dependences" OFF)


IF(NOT DISABLE_DPKG)
  set(ARCH_TRIPLET)
  if(UNIX)
    FIND_PROGRAM(DPKG_ARCHITECTURE_EXECUTABLE dpkg-architecture)
    if(DPKG_ARCHITECTURE_EXECUTABLE)
      EXECUTE_PROCESS(COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
        OUTPUT_VARIABLE ARCH_TRIPLET
        ERROR_VARIABLE ERROR_ARCH_TRIPLET
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
  endif()
  if(ARCH_TRIPLET)
    set(SYSTEM_LIB_DIRS /usr/lib /usr/lib/${ARCH_TRIPLET} /usr/local/lib)
  else()
    set(SYSTEM_LIB_DIRS /usr/lib /usr/local/lib)
  endif()
ENDIF()

include(HuginMacros)
include(CheckIncludeFiles)

##  global setup
project(hugin)

# version
set(V_MAJOR 2013)
set(V_MINOR 0)
set(V_PATCH 0)

#
# Check for mercurial and get current revision
#

IF(EXISTS ${PROJECT_SOURCE_DIR}/.hg)
  FIND_PROGRAM(_hg hg)
  IF(NOT ${_hg} MATCHES "-NOTFOUND")
    EXECUTE_PROCESS(COMMAND ${_hg} summary WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}" OUTPUT_VARIABLE _release OUTPUT_STRIP_TRAILING_WHITESPACE)
    foreach(_v_l ${_release})
      if(_v_l MATCHES "^.*: *[^0-9]*\([0-9]+\):\([a-z0-9]+\)")
        set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_1})
        set(HUGIN_WC_REVISION ${CMAKE_MATCH_2})
      endif()
    endforeach()
  ELSE()
    SET(HUGIN_WC_REVISION 0)
  ENDIF()
  SET(HUGIN_PACKAGE_VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH})
  SET(HUGIN_DEVELOPMENT_VERSION 1)
  FILE(WRITE ${PROJECT_SOURCE_DIR}/rev.txt "${HUGIN_WC_REVISION}")
  MESSAGE("-- Current HG revision is ${HUGIN_WC_REVISION}")
ELSE()
  IF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    # comment out the following line to compile an old version from the subversion repository
    MESSAGE(FATAL_ERROR "Hugin subversion repository is not up to date. The development happens now in mercurial repository. Please switch to mercurial. Sorry for the inconsistency")
  ENDIF()

  SET(HUGIN_PACKAGE_VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH})
  SET(HUGIN_WC_REVISION 0)
  FILE(READ "${PROJECT_SOURCE_DIR}/rev.txt" HUGIN_WC_REVISION)
  MESSAGE("-- Current HG revision is ${HUGIN_WC_REVISION}")
  MESSAGE("-- Assuming this is a tarball (release) build for ${HUGIN_PACKAGE_VERSION}")
  SET(HUGIN_DEVELOPMENT_VERSION 0)
ENDIF()

#
# Check for mercurial and update changelog
#
IF (EXISTS ${PROJECT_SOURCE_DIR}/.hg)
  IF (UPDATE_CHANGELOG)
   FIND_PROGRAM(_hg hg)
   EXECUTE_PROCESS(COMMAND ${_hg} log --follow --style ${PROJECT_SOURCE_DIR}/Changelog.style
   WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
   OUTPUT_FILE ${PROJECT_SOURCE_DIR}/ChangeLog)
   MESSAGE("-- New ChangeLog generated")
  ENDIF (UPDATE_CHANGELOG)
ENDIF (EXISTS ${PROJECT_SOURCE_DIR}/.hg)

# version to display
IF (HUGIN_DEVELOPMENT_VERSION EQUAL 1)
  set(DISPLAY_VERSION "Pre-Release ${V_MAJOR}.${V_MINOR}.${V_PATCH}.${HUGIN_WC_REVISION}")
ELSE (HUGIN_DEVELOPMENT_VERSION EQUAL 1)
  set(DISPLAY_VERSION "${V_MAJOR}.${V_MINOR}.${V_PATCH}.${HUGIN_WC_REVISION}")
ENDIF (HUGIN_DEVELOPMENT_VERSION EQUAL 1)

# version for internal libraries.
set(HUGIN_LIB_VERSION 0.0)

# set include path for internal libraries before using finding and initializing
# external dependencies. This makes sure that "our" include paths are specified
# before any system includes

include_directories( ${CMAKE_BINARY_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/hugin_base )
include_directories( ${CMAKE_SOURCE_DIR}/src/foreign/vigra )
include_directories( ${CMAKE_SOURCE_DIR}/src/celeste )
include_directories( ${CMAKE_BINARY_DIR}/src/celeste )
include_directories( ${CMAKE_SOURCE_DIR}/src )

# this function is not available on some systems, notably FreeBSD and Windows
include(CheckFunctionExists)
set(CMAKE_REQUIRED_LIBRARIES -lm)
check_function_exists(log2 HAVE_LOG2)
# use messages only for debug - on Windows they are extremely intrusive
# message("LOG2 ${HAVE_LOG2}")

IF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)
  IF (UPDATE_CHANGELOG)
    EXECUTE_PROCESS(COMMAND "svn2cl" "--group-by-day" "--include-rev" "--linelen=78"
      "--output=${PROJECT_SOURCE_DIR}/ChangeLog" "${PROJECT_SOURCE_DIR}" )
  ENDIF (UPDATE_CHANGELOG)
ENDIF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)


#
# find dependencies
#
IF (UNIX)
FIND_PACKAGE(PkgConfig)
ENDIF (UNIX)

IF(WIN32)
    set(HUGIN_SHARED "0" CACHE STRING "Build shared internal libraries" )
ELSE(WIN32)
    set(HUGIN_SHARED "1" CACHE STRING "Build shared internal libraries" )
ENDIF(WIN32)

#
# Setup windows search paths for dependencies
#
IF (WIN32)
  ##
  ## The directory that contains the hugin source root is a good
  ## place to look for support packages, so post it in cache.
  ## 
  ## Our FIND_PACKAGE calls modules will search SOURCE_BASE_DIR
  ## after the local standard places  
  ##
  # extract pathname from CMAKE_SOURCE_DIR (note result must be a local var)
  STRING( REGEX REPLACE "(.*)/[^/]+$" "\\1" work "${CMAKE_SOURCE_DIR}" )
  # create the cache entry
  SET( SOURCE_BASE_DIR ${work} CACHE FILEPATH "parent dir of hugin source root" )

  # wxWidgets
  IF(NOT wxWidgets_ROOT_SUFFIX)
    SET( wxWidgets_ROOT_SUFFIX 2.8.10 CACHE STRING "version of wxWidgets." FORCE )
  ENDIF(NOT wxWidgets_ROOT_SUFFIX)

  SET(wxWidgets_ROOT_DIR ${SOURCE_BASE_DIR}/wxWidgets-${wxWidgets_ROOT_SUFFIX})
  # GLEW moved to FildGLEW.cmake module
  # SET(GLEW_INCLUDE_DIR ${SOURCE_BASE_DIR}/glew/include)
  # for dynamic build, it's glew32.lib and the dll must be copied into hugin's bin folder
  # SET(GLEW_LIBRARIES ${SOURCE_BASE_DIR}/glew/lib/glew32s.lib)
ENDIF(WIN32)

##
## wxWidgets
##
#  This must come before FINDs for tiff, jpeg, png, zlib to enable
#  finding the wxWidgets distributions of those packages (Win32 only).
SET(wxWidgets_USE_LIBS base core aui xrc html xml adv gl net)
FIND_PACKAGE(wxWidgets REQUIRED)

# hugin requires wxwidgets 2.7.0 or above
IF (UNIX)
  EXEC_PROGRAM(sh ARGS "${wxWidgets_CONFIG_EXECUTABLE} --version" OUTPUT_VARIABLE wxWidgets_VERSION)
  STRING(REGEX REPLACE "^([0-9]+\\.[0-9]+)\\..*" "\\1"  wxWidgets_VERSION ${wxWidgets_VERSION})
  IF(wxWidgets_VERSION STREQUAL "2.5")
    SET(wxWidgets_FOUND FALSE)
    MESSAGE("wxWidgets 2.5.x not supported")
  ENDIF(wxWidgets_VERSION STREQUAL "2.5")
  IF(wxWidgets_VERSION STREQUAL "2.6")
    SET(wxWidgets_FOUND FALSE)
    MESSAGE("wxWidgets 2.6.x not supported")
  ENDIF(wxWidgets_VERSION STREQUAL "2.6")
ENDIF (UNIX)

IF(NOT wxWidgets_FOUND)
  MESSAGE("wxWidgets was not found, GUI programs (hugin, nona_gui) disabled")
ENDIF(NOT wxWidgets_FOUND) 

##
## Graphics libraries
##
# wxWidgets sub-packages will be used if native ones aren't found

FIND_PACKAGE(TIFF REQUIRED)
INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
FIND_PACKAGE(JPEG REQUIRED)
INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})

FIND_PACKAGE(OpenEXR REQUIRED)
include_directories(${OPENEXR_INCLUDE_DIR})

FIND_PACKAGE(Exiv2 REQUIRED)
INCLUDE_DIRECTORIES(${EXIV2_INCLUDE_DIR})

## OpenGL and GLEW

FIND_PACKAGE(OpenGL)
FIND_PACKAGE(GLUT)
FIND_PACKAGE(GLEW)
IF(NOT OPENGL_FOUND)
  MESSAGE("OpenGL was not found, hugin disabled")
ENDIF(NOT OPENGL_FOUND)
IF(GLEW_FOUND)
  INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
  INCLUDE_DIRECTORIES(${GLUT_INCLUDE_DIR})
  INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
ENDIF(GLEW_FOUND)

##
## Panotools
##

FIND_PACKAGE(PANO13 2.9.18 REQUIRED)

IF(PANO13_FOUND)
  SET(PANO_LIBRARIES ${PANO13_LIBRARIES})
  SET(PANO_INCLUDE_DIR ${PANO13_INCLUDE_DIR})
ELSE(PANO13_FOUND)
  MESSAGE(SEND_ERROR "libpano13 required")
ENDIF(PANO13_FOUND) 
INCLUDE_DIRECTORIES(${PANO_INCLUDE_DIR})

##
## Boost
##
# I am sick of having to edit the boost rev number in this file.
# Now it is a cache variable you can edit in cmakesetup --TKS
#
IF( NOT Boost_root_suffix )
  SET( Boost_root_suffix _1_41_0 CACHE STRING "suffix of boost root dir." FORCE )
ENDIF( NOT Boost_root_suffix )

IF(WIN32)
  IF(${HUGIN_SHARED})
    SET(Boost_USE_STATIC_LIBS OFF)
    # ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)
    # ADD_DEFINITIONS(-D_DLL)
    ADD_DEFINITIONS(-DBOOST_ALL_NO_LIB)
  ELSE(${HUGIN_SHARED})
    SET(Boost_USE_STATIC_LIBS ON)
  ENDIF(${HUGIN_SHARED})
  # If BOOST_ROOT was defined in the environment, use it. 
  if (NOT BOOST_ROOT AND NOT $ENV{BOOST_ROOT} STREQUAL "") 
    set(BOOST_ROOT $ENV{BOOST_ROOT}) 
  else(NOT BOOST_ROOT AND NOT $ENV{BOOST_ROOT} STREQUAL "") 
    set(BOOST_ROOT ${SOURCE_BASE_DIR}/boost${Boost_root_suffix}) 
   endif(NOT BOOST_ROOT AND NOT $ENV{BOOST_ROOT} STREQUAL "") 
ENDIF(WIN32)
FIND_PACKAGE(Boost 1.40 COMPONENTS thread date_time regex filesystem iostreams system signals)
IF (NOT Boost_FOUND)
  IF(WIN32)
    MESSAGE(FATAL_ERROR "Boost not found. Bad BOOST_ROOT? On windows, try editing Boost_root_suffix")
  ELSE()
    MESSAGE(FATAL_ERROR "Boost not found. Maybe wrong version. Hugin requires at least version 1.40")
  ENDIF()
ENDIF (NOT Boost_FOUND)

INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})

FIND_PACKAGE(MSGFMT REQUIRED)
IF(MSGFMT_FOUND)
  MESSAGE(STATUS "Program msgfmt found (${MSGFMT_EXECUTABLE})")
ENDIF(MSGFMT_FOUND)

FIND_PACKAGE(Threads)
FIND_PACKAGE(ZThread)
FIND_PACKAGE(flann)

IF(NOT FLANN_FOUND)
  INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src/foreign)
ENDIF(NOT FLANN_FOUND)

IF(WIN32)
  # HTML Helpworkshop for creating help file
  FIND_PACKAGE(HTMLHelp)
  IF(${HTML_HELP_COMPILER} MATCHES "-NOTFOUND")
    MESSAGE(FATAL_ERROR "MS HTML Help Workshop not found. It is required to build Hugins help file.")
  ENDIF()
ENDIF(WIN32)

FIND_PACKAGE(Lensfun REQUIRED)
INCLUDE_DIRECTORIES(${LENSFUN_INCLUDE_DIR})

IF(UNIX)
  OPTION(BUILD_HSI "Python Scripting Interface" ON)
ELSE(UNIX)
  OPTION(BUILD_HSI "Python Scripting Interface" OFF)
ENDIF(UNIX)
IF(BUILD_HSI)
  # find Python first because the version of SWIG required depends on the
  # version of Python available
  if(WIN32)
    FIND_PACKAGE(PythonLibs REQUIRED)
  else()
    #  Linux/MacOS
    find_package(PythonInterp REQUIRED)
    find_package(PythonLibs ${PYTHON_VERSION_STRING} REQUIRED)
  endif()
  INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
  ADD_DEFINITIONS(-DHUGIN_HSI)
  # get version of Python libs
  FILE(STRINGS "${PYTHON_INCLUDE_DIRS}/patchlevel.h"
	  PY_DEF_MAJOR
	  REGEX "#define[ \t]+PY_MAJOR_VERSION.*$")
  FILE(STRINGS "${PYTHON_INCLUDE_DIRS}/patchlevel.h"
      PY_DEF_MINOR
      REGEX "#define[ \t]+PY_MINOR_VERSION.*$")

  FILE(STRINGS "${PYTHON_INCLUDE_DIRS}/patchlevel.h"
      PY_DEF_MICRO
      REGEX "#define[ \t]+PY_MICRO_VERSION.*$")
  STRING(REGEX
        REPLACE "^.*VERSION[ \t]+([0-9]+).*" "\\1"
        PYTHON_VERSION_MAJOR
        "${PY_DEF_MAJOR}")
  STRING(REGEX
        REPLACE "^.*VERSION[ \t]+([0-9]+).*" "\\1"
        PYTHON_VERSION_MINOR
        "${PY_DEF_MINOR}")
  STRING(REGEX
        REPLACE "^.*VERSION[ \t]+([0-9]+).*" "\\1"
        PYTHON_VERSION_PATCH
        "${PY_DEF_MICRO}")
  # now we can find the right SWIG version
  find_program(SWIG_EXECUTABLE NAMES swig2.0 swig)
  # unclean to test for Python 3, but the assumption is that by the
  # time we have Python 4 this issue is long gone
  IF(${PYTHON_VERSION_MAJOR} EQUAL 3 AND 
      ${PYTHON_VERSION_MINOR} GREATER 1)
    FIND_PACKAGE(SWIG 2.0.4 REQUIRED)
  ELSE()
    FIND_PACKAGE(SWIG 2.0 REQUIRED)
  ENDIF()
  INCLUDE(${SWIG_USE_FILE})
ENDIF()

##
## LAPACK (optional, enable by -DENABLE_LAPACK=ON)
##
OPTION (ENABLE_LAPACK "Use LAPACK based solver in levmar" OFF)

IF(ENABLE_LAPACK)
  FIND_PACKAGE(LAPACK)
  IF(LAPACK_FOUND)
    MESSAGE(STATUS "LAPACK found (${LAPACK_LIBRARIES})")
  ELSE(LAPACK_FOUND)
    MESSAGE(STATUS "LAPACK not found, using LU-based solver")
  ENDIF(LAPACK_FOUND)
ENDIF(ENABLE_LAPACK)

# vips is not used right now
#IF (WIN32)
#  # todo: check for vips (not needed right now)
#ELSE (WIN32)

=== debian/changelog ===
hugin (2013.0.0~beta1+dfsg-2ubuntu1) saucy; urgency=low

  * Merge from Debian experimental (LP: #1163681). Remaining changes:
    - debian/control:
      + Build-depend on libpng-dev rather than libpng12-dev.
      + Build-depend on libtiff-dev rather than libtiff4-dev.
      + Build-depend on libglew-dev rather than libglew1.5-dev.
    - debian/patches/python_multiarch: Fix FTBFS due to Python include file
      assumptions.
  * debian/patches/python_multiarch: Refresh.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 May 2013 19:45:41 -0400

hugin (2013.0.0~beta1+dfsg-2) experimental; urgency=low

  * Temporarily hard-code a build-depency on boost 1.53, since boost 1.49
    is broken by libc 2.17. Closes: #707541. Hugin itself requires
    boost >= 1.41. (Thanks, Stefan Peter)
    http://mid.gmane.org/5140F46C.4010204%40stepet.ch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 10 May 2013 08:19:36 +0200

hugin (2013.0.0~beta1+dfsg-1) experimental; urgency=low

  * Add a 'Built-Using:' entry for libzthread-dev to hugin-tools.
  * Drop b-d on tclap.
  * Ship newly available commandline utils (geocpset, pto_lensstack, pto_var).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Mar 2013 09:08:17 +0100

hugin (2012.0.0+dfsg-1) experimental; urgency=low

  * Append CPPFLAGS to C(XX)FLAGS for hardening support.
  * New upstream release, identical to rc3.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 06 Nov 2012 19:56:27 +0100

hugin (2012.0.0~rc3+dfsg-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Oct 2012 15:55:16 +0200

hugin (2012.0.0~rc2+dfsg-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 26 Sep 2012 19:47:14 +0200

hugin (2012.0.0~rc1+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Drop superfluous patches. (30_dutch_translation.diff
    31_danish_translation.diff 32_update_python_api_versions.diff
    33_unified_api-max.diff 34_assistant_downscale.diff
    35_copyrightyear_and_lensfunref.diff)

 -- Andreas Metzler <ametzler@debian.org>  Fri, 31 Aug 2012 19:40:03 +0200

hugin (2012.0.0~beta1+dfsg-2) experimental; urgency=low

  * Update to head of upstream HG 2012.0 branch (30_dutch_translation.diff
    31_danish_translation.diff 32_update_python_api_versions.diff
    33_unified_api-max.diff 34_assistant_downscale.diff
    35_copyrightyear_and_lensfunref.diff). Included python plugins should work
    again. Thanks, Stefan Peter.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Jul 2012 12:43:24 +0200

hugin (2012.0.0~beta1+dfsg-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 25 Jul 2012 18:13:30 +0200

hugin (2011.5.0.20120720+dfsg-1) experimental; urgency=low

  * Package HG 'default' branch, which is supposed to be released as 2012.0.0.
  * Drop patches pulled from upstream. (55_pyplugin.diff
    56_shooting_pattern.diffm 57_woavers.diff). 50_fix_ftbfs_with_gcc_4.7 is
    superseded by c7ecd541dbd7.
  * Add liblensfun-dev build-dependency.
  * Ship newly available pto_gen in hugin-tools.
  * Use external libflann, add build-dependency.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 20 Jul 2012 11:40:22 +0200

hugin (2011.4.0+dfsg-5ubuntu2) raring; urgency=low

  * d/p/python_multiarch: fix FTBFS due to Python include file assumptions.

 -- Robie Basak <robie.basak@canonical.com>  Tue, 09 Apr 2013 13:16:57 +0000

hugin (2011.4.0+dfsg-5ubuntu1) quantal; urgency=low

  * Build-depend on libpng-dev rather than libpng12-dev.
  * Build-depend on libtiff-dev rather than libtiff4-dev.
  * Build-depend on libglew-dev rather than libglew1.5-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 19:58:46 +0100

hugin (2011.4.0+dfsg-5) unstable; urgency=low

  * Set PythonLibs_FIND_VERSION to make sure the library corresponding to
    pyversions -d is found. (Otherwise we will get a FTBFS if e.g.
    python3.2-dev is *also* installed.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Jun 2012 13:26:26 +0200

hugin (2011.4.0+dfsg-4) unstable; urgency=low

  * [55_pyplugin.diff 56_shooting_pattern.diff 57_woavers.diff] Update
    api-max in shipped python plugins. LP: #1001982

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jun 2012 17:47:10 +0200

hugin (2011.4.0+dfsg-3) unstable; urgency=low

  * Upload to unstable. (Swig related ftbfs on s390 has been fixed.)
  * Drop suggests of hugin-data on python-argparse, its included in
    python2.7. Closes: #653651

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 May 2012 13:28:13 +0200

=== debian/control ===
Source: hugin
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 7.0.15), cmake (>= 2.8.0),
 libboost-graph1.53-dev, libboost-thread1.53-dev,
 libboost-regex1.53-dev, libboost-filesystem1.53-dev,
 libboost-iostreams1.53-dev, libboost-system1.53-dev,
 libboost-signals1.53-dev,
 zlib1g-dev, libexiv2-dev (>= 0.12), libjpeg-dev,
 libopenexr-dev, libpano13-dev (>= 2.9.18~beta1), libpng-dev,
 libtiff-dev, libgtk2.0-dev, libwxgtk2.8-dev, libglew-dev, freeglut3-dev,
 libzthread-dev, swig (>= 2.0), python-dev, liblensfun-dev,
 libflann-dev
## libboost-graph-dev (>= 1.41), libboost-thread-dev (>= 1.41),
## libboost-regex-dev (>= 1.41), libboost-filesystem-dev (>= 1.41),
## libboost-iostreams-dev (>= 1.41), libboost-system-dev (>= 1.41),
## libboost-signals-dev (>= 1.41),
Build-Conflicts: wx2.6-headers
Standards-Version: 3.9.3
Homepage: http://hugin.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-phototools/hugin.git
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/hugin.git

Package: hugin
Architecture: any
Depends: hugin-tools (= ${binary:Version}), enblend (>= 3.2), enfuse, libimage-exiftool-perl, make, ${shlibs:Depends}, ${misc:Depends}
Breaks: hugin-bin (<< 0.7.0~svn)
Replaces: hugin-bin (<< 0.7.0~svn), hugin-data (<< 0.7.0~svn), hugin-tools (<< 0.7.0~svn)
Description: panorama photo stitcher - GUI tools
 Hugin is a panorama photo stitching program. Essentially, Hugin is a
 GUI frontend for Panorama Tools. Stitching is accomplished by using
 several overlapping photos taken from the same location, and using
 control points to align and transform the photos so that they can be
 blended together to form a larger image. Hugin allows for the easy
 creation of control points between two images, optimization of the
 image transforms, and much more.
 .
 This package includes the following graphical interfaces, using the
 command-line tools provided in the hugin-tools package:
  * hugin                - Hugin panorama creator.
  * hugin_stitch_project - Hugin batch stitcher.
  * nona_gui             - Graphical interface for nona.
  * PTBatcherGUI         - Batch controller for the stitching process.
  * calibrate_lens_gui   - Lens calibration tool.

Package: hugin-tools
Architecture: any
Depends: hugin-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
Breaks: hugin-bin (<< 0.7.0~svn), ${python:Breaks}
Replaces: hugin-bin (<< 0.7.0~svn)
Recommends: libpano13-bin
Provides: python-hsi
Built-Using: ${libzthread-dev:Built-Using}
Description: panorama photo stitcher - commandline tools
 Hugin is a panorama photo stitching program.
 .
 This package includes command-line tools used by hugin and other
 packages for image stitching and High Dynamic Range (HDR) images:
  * align_image_stack  - Align overlapping images for HDR creation.
  * autooptimiser      - Optimize image positions.
  * celeste_standalone - Remove cloud-like control points.
  * cpclean            - Remove wrong control points.
  * cpfind             - Patent-free control-point detector
  * deghosting_mask    - Creates mask for removing ghosting in images.
  * fulla              - Correct lens distortion, vignetting, and
                         chromatic aberration.
  * geocpset           - Set geometric control points
  * hugin_hdrmerge     - Merge overlapping images.
  * icpfind            - Control-point detector wrapper program.
  * matchpoint         - Run feature detection and extraction.
  * nona               - Remap images. (Also does simple stitching.)
  * pano_modify        - Change output parameters of project file.
  * pto2mk             - Create a makefile for stitching.
  * pto_merge          - Merges two or more Hugin project files.
  * pto_gen            - Create pto file from list of images.
  * pto_lensstack      - Modify assigned lenses and stack in pto files.
  * pto_var            - Change image variables inside Hugin .pto project
                         files
  * tca_correct        - Calculate transverse chromatic aberration.
  * vig_optimize       - Determine the radial vignetting.

Package: hugin-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
# imports of included plugins
Suggests: python-wxgtk2.8
Description: panorama photo stitcher - common data files
 Hugin is a panorama photo stitching program.
 .
 This package includes the data files needed by the hugin and
 hugin-tools packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

BUILD_DIR=build-dir

ifeq ($(wildcard /usr/share/dpkg/buildflags.mk),)
CFLAGS := -Wall -g
LDFLAGS := -Wl,--as-needed -Wl,-z,defs
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
else
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
# append -Wl,--as-needed and -Wl,-z,defs to LDFLAGS if missing
comma := ,
ifeq (,$(findstring -Wl$(comma)--as-needed,$(LDFLAGS)))
LDFLAGS += -Wl,--as-needed
endif
ifeq (,$(findstring -Wl$(comma)-z$(comma)defs,$(LDFLAGS)))
LDFLAGS += -Wl,-z,defs
endif
# the same for -Wall and CFLAGS
ifeq (,$(findstring -Wall,$(CFLAGS)))
CFLAGS += -Wall
endif
# append CPPFLAGS to CFLAGS for hardening supprt. #653916
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)
export CFLAGS
export CXXFLAGS
export LDLAGS
endif

# Default python version.
PYTHONDEFVERSION := $(shell pyversions -d | sed -e 's/python\([0-9.]\+\)/\1/')

CMAKE_LDFLAGS=-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" -DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" -DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" -DBUILD_HSI:BOOL=ON -DPythonLibs_FIND_VERSION=$(PYTHONDEFVERSION)

# Upstream version can be overriden so as to fetch newer revisions
# without having to modify the top-most changelog entry
UVERSION  ?= $(shell dpkg-parsechangelog | perl -ne 'print "$$1\n" if (/^Version: (.*?)(?:\.dfsg)?\-.*?$$/)')
UREVISION  = $(shell echo $(UVERSION) | sed -e 's/^.*svn//')
UTRUNK     = https://hugin.svn.sourceforge.net/svnroot/hugin/hugin/trunk

# Where to store which manpages are generated (upstream keeps some manpages
# both under .pod and .1 formats).
GENERATED_MANPAGES=debian/generated-manpages

zthread-dep := $(shell \
	dpkg-query -f='$${source:Package} (= $${source:Version})' \
	-W libzthread-dev )

maint-svn-snapshot:
	@echo "Latest trunk:      $(shell LANG=C svn info $(UTRUNK) | grep Revision | awk -F": " '{print $$2}')"
	@echo "Upstream version:  $(UVERSION)"
	@echo "Upstream revision: $(UREVISION)"
	[ ! -f ../hugin_$(UVERSION).orig.tar.gz ] || (echo "Upstream tarball exists already. Aborting."; exit 1)
	svn export -q -r $(UREVISION) $(UTRUNK) debian/svn/hugin-$(UVERSION)
	tar cfz ../hugin_$(UVERSION).orig.tar.gz -C debian/svn hugin-$(UVERSION)
	echo "../hugin_$(UVERSION).orig.tar.gz ready"
	rm -rf debian/svn

configure-stamp:
	dh_testdir
	# Configure the package.
	sed -e s_autopano-noop.sh_autopano-noop_g < doc/autopano-noop.sh.pod \
		> doc/autopano-noop.pod
	mkdir $(BUILD_DIR)
	cd $(BUILD_DIR) && cmake -DCMAKE_INSTALL_PREFIX=/usr $(CMAKE_LDFLAGS) ..
	touch $@


build: build-arch build-indep

build-arch:  build-arch-stamp
build-indep: build-indep-stamp

build-arch-stamp: configure-stamp
	# Compile the package.
	$(MAKE) -C $(BUILD_DIR) VERBOSE=1
	touch $@

build-indep-stamp: configure-stamp
	# Build manpages.
	for i in doc/*.pod ; do \
		if [ ! -f $${i%%.pod}.1 ] ; then \
			pod2man --center "HUGIN TOOLS" \
				--release $(UVERSION) \
				$$i -o $${i%%.pod}.1 ; \
			echo $${i%%.pod}.1 >> $(GENERATED_MANPAGES) ; \
		fi ; \
	done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp install-arch-stamp \
		install-indep-stamp configure-stamp src/celeste/Config.h

	# Clean up after the build process.
	rm -rf $(BUILD_DIR) doc/autopano-noop.pod

	# Clean generated manpages.
	if [ -f $(GENERATED_MANPAGES) ] ; then \
		for i in `cat $(GENERATED_MANPAGES)` ; do \
			rm -f $$i ; \
		done ; \
	fi
	rm -f $(GENERATED_MANPAGES)

	dh_clean

install: install-indep install-arch

install-indep: install-indep-stamp
install-arch: install-arch-stamp

install-indep-stamp: build-indep-stamp install-arch-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -i

	dh_install --sourcedir=debian/tmp -i
	touch $@

install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	# Install the package into debian/tmp.
	$(MAKE) install -C $(BUILD_DIR) DESTDIR=$(CURDIR)/debian/tmp

	# Get rid of extra license file
	rm debian/tmp/usr/share/hugin/xrc/data/help_en_EN/LICENCE.manual

	dh_install --sourcedir=debian/tmp -a
	touch $@

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_python2 -i /usr/share/hugin/data/plugins
	dh_python2 -a --no-guessing-versions
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs --noscripts
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -Vlibzthread-dev:Built-Using='$(zthread-dep)'
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

get-orig-source:
	rm -rf  $(CURDIR)/debian/get-orig-source
	mkdir $(CURDIR)/debian/get-orig-source
	uscan --force-download --rename --download-version ${UVERSION} \
		--destdir $(CURDIR)/debian/get-orig-source
	cd $(CURDIR)/debian/get-orig-source && \
		if test -e hugin_${UVERSION}.orig.tar.gz ; then \
		tar xzf hugin_${UVERSION}.orig.tar.gz ; else \
		tar xjf hugin_${UVERSION}.orig.tar.bz2 ; fi && \
		cd hugin-* && \
		rm -rvf platforms/windows/ mac/*  \
		src/foreign/getopt/src/msvs/ platforms/mac/* \
		platforms/CMakeLists.txt &&\
		touch platforms/CMakeLists.txt && \
		find -name '*.vcproj' -delete && \
		cd .. && \
		tar -czf $(CURDIR)/../hugin_$(UVERSION)+dfsg.orig.tar.gz hugin-*
	rm -rf  $(CURDIR)/debian/get-orig-source


binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch get-orig-source

## hugin 2013.0.0~rc1+dfsg

=== debian/changelog ===
hugin (2013.0.0~rc1+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-depend on libpng-dev rather than libpng12-dev.
      + Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 28 Jun 2013 19:55:44 -0400

hugin (2013.0.0~rc1+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Drop 50_9928ad3bd989_python_multiarch.diff, included upstream.
  * Ship newly available geocpset.1.
  * Fix vcs-field-not-canonical lintian error by using anonscm instead of
    git.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 27 Jun 2013 19:08:59 +0200

hugin (2013.0.0~beta1+dfsg-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-depend on libpng-dev rather than libpng12-dev.
      + Build-depend on libtiff-dev rather than libtiff4-dev.
    - debian/patches/python_multiarch: Drop, as a similar patch was applied in
      Debian.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 27 May 2013 02:59:22 -0400

hugin (2013.0.0~beta1+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * [50_9928ad3bd989_python_multiarch.diff] Fix FTBFS with multi-arch python
    due to Python include file assumptions.
  * Build-depend on libglew-dev instead of libglew1.5-dev. - Starting with
    wheezy the latter is a virtual package provided by the former.
  * Delete some unused code in debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 May 2013 13:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
 ## libboost-iostreams-dev (>= 1.41), libboost-system-dev (>= 1.41),
 ## libboost-signals-dev (>= 1.41),
 Build-Conflicts: wx2.6-headers
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://hugin.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-phototools/hugin.git
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/hugin.git
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/hugin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/hugin.git
 
 Package: hugin
 Architecture: any

## hugin 2013.0.0~rc2+dfsg

=== debian/changelog ===
hugin (2013.0.0~rc2+dfsg-3ubuntu1) trusty; urgency=low

  * Rebuild for boost1.54.
  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-depend on libpng-dev rather than libpng12-dev.
      + Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 12:26:52 +0100

hugin (2013.0.0~rc2+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Oct 2013 08:43:54 +0200

hugin (2013.0.0~rc2+dfsg-2) experimental; urgency=low

  * Upload to experimental.
  * Switch back to default boost version.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 16 Sep 2013 19:45:37 +0200

hugin (2013.0.0~rc2+dfsg-1) unstable; urgency=low

  * New upstream version.
  * 50_fixwhatis.diff - correct whatis entry of two manpages.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 13 Sep 2013 19:11:19 +0200

## hugin 2013.0.0%2Bdfsg

=== src/matchpoint/CMakeLists.txt ===

#list all source files here
ADD_EXECUTABLE(matchpoint MatchPoint.cpp APImage.h APImage.cpp HessianDetector.h HessianDetector.cpp Descriptor.h Descriptor.cpp edgedetection.hxx)
IF (MSVC)
	TARGET_LINK_LIBRARIES(matchpoint ${image_libs} hugingetopt)
#need to link to some other libraries ? just add them here
ELSE (MSVC)
	TARGET_LINK_LIBRARIES(matchpoint ${image_libs})
ENDIF (MSVC)

install(TARGETS matchpoint
        DESTINATION ${BINDIR})

=== src/hugin1/hugin/xrc/data/help_it_IT/CMakeLists.txt ===

IF(WIN32)

#TODO generate italian version of help file

ELSE(WIN32)

FILE(GLOB DATAFILES *.htm *.html *.ico *.gif *.JPG *.jpg *.png *.xpm *.hhc *.hhk *.hhp
*.manual)

INSTALL(FILES ${DATAFILES} DESTINATION ${HUGINDATADIR}/xrc/data/help_it_IT)

ENDIF(WIN32)

=== debian/changelog ===
hugin (2013.0.0+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Nov 2013 10:35:19 +0100

hugin (2013.0.0+dfsg-1) unstable; urgency=low

  * New upstream stable release, source code identiical to rc2. (We still
    provide an updated tarball to get a correct reference to the hg rev in
    rev.txt.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Oct 2013 17:26:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,18 @@
 Source: hugin
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 7.0.15), cmake (>= 2.8.0),
- libboost-graph1.53-dev, libboost-thread1.53-dev,
- libboost-regex1.53-dev, libboost-filesystem1.53-dev,
- libboost-iostreams1.53-dev, libboost-system1.53-dev,
- libboost-signals1.53-dev,
+ libboost-graph-dev (>= 1.41), libboost-thread-dev (>= 1.41),
+ libboost-regex-dev (>= 1.41), libboost-filesystem-dev (>= 1.41),
+ libboost-iostreams-dev (>= 1.41), libboost-system-dev (>= 1.41),
+ libboost-signals-dev (>= 1.41),
  zlib1g-dev, libexiv2-dev (>= 0.12), libjpeg-dev,
- libopenexr-dev, libpano13-dev (>= 2.9.18~beta1), libpng-dev,
- libtiff-dev, libgtk2.0-dev, libwxgtk2.8-dev, libglew-dev, freeglut3-dev,
+ libopenexr-dev, libpano13-dev (>= 2.9.18~beta1), libpng12-dev,
+ libtiff4-dev, libgtk2.0-dev, libwxgtk2.8-dev, libglew-dev, freeglut3-dev,
  libzthread-dev, swig (>= 2.0), python-dev, liblensfun-dev,
  libflann-dev
-## libboost-graph-dev (>= 1.41), libboost-thread-dev (>= 1.41),
-## libboost-regex-dev (>= 1.41), libboost-filesystem-dev (>= 1.41),
-## libboost-iostreams-dev (>= 1.41), libboost-system-dev (>= 1.41),
-## libboost-signals-dev (>= 1.41),
 Build-Conflicts: wx2.6-headers
 Standards-Version: 3.9.4
 Homepage: http://hugin.sourceforge.net/
